## org.eclipse.emf.ecore.xmi.impl
Class GenericXMLResourceImpl.GenericXMLLoadImpl

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLLoadImpl
          org.eclipse.emf.ecore.xmi.impl.GenericXMLResourceImpl.GenericXMLLoadImpl

All Implemented Interfaces:
  XMLLoad

Enclosing class:
  GenericXMLResourceImpl

    protected static class GenericXMLResourceImpl.GenericXMLLoadImpl

extends XMLLoadImpl

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.XMLLoadImpl
`XMLLoadImpl.AttributesProxy`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLLoadImpl
`BUFFER_SIZE, helper, is, namespaceAware, options, resource, SAX_LEXICAL_PROPERTY`

Constructor Summary
`protected` `GenericXMLResourceImpl.GenericXMLLoadImpl(XMLHelper helper)`

Method Summary
`protected org.xml.sax.helpers.DefaultHandler` `makeDefaultHandler()`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLLoadImpl
`createDefaultHandler, getEncoding, handleErrors, load, load, load, makeParser, readBuffer, traverse, traverseElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericXMLResourceImpl.GenericXMLLoadImpl

    protected GenericXMLResourceImpl.GenericXMLLoadImpl(XMLHelper helper)

Method Detail

### makeDefaultHandler

    protected org.xml.sax.helpers.DefaultHandler makeDefaultHandler()

  Overrides:
    `makeDefaultHandler` in class `XMLLoadImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.